#72 closed defect (fixed)

multiple mptest failing

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: unspecified Version: unknown
Severity: normal Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

configure with --enable-multiprocessing --enable-tests

mp03-node1 - _Thread_Dispatch_disable_level is (1) not 0
mp03-node2 - same
mp08-node2 - rtems_semaphore_obtain FAILED -- expected (object deleted while waiting) got (invalid object id)
mp10-node2 - rtems_semaphore_obtain FAILED -- expected (successful completion) got (invalid object id)
mp13-node2 - rtems_semaphore_obtain FAILED -- expected (successful completion) got (invalid object id)
mp14-node1 - _Thread_Dispatch_disable_level is (2) not 0
mp14-node2 - _Thread_Dispatch_disable_level is (1) not 0

I suspect the ID problems indicate tests not updated to
reflect new lower defaults.

I suspect the dispatch errors are test specific problems
where a check is made inside a TSR or ISR and the test is
not checking for the correct expected level.

Release:
RTEMS CVS Trunk

Environment:
Redhat Linux native

Attachments (1)

mptest-CVS.patch (3.9 KB) - added by Joel Sherrill on Dec 3, 2006 at 1:31:12 PM.
mptest-CVS.patch

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Nov 7, 2001 at 10:44:26 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: working->closed
State-Changed-Why: Attached patch fixes test problems that were independent

of object get (id translation) problems fixed as PR36.
This was tested on the trunk and 4.5 branch using the
Linux (POSIX) port for MP and the SPARC/ERC32 for a single
processor configuration.

Changed on Dec 3, 2006 at 1:31:12 PM by Joel Sherrill

Attachment: mptest-CVS.patch added

mptest-CVS.patch

comment:2 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.